Index: src/test/graph_factory_test.cc
===================================================================
--- src/test/graph_factory_test.cc	(revision 946)
+++ src/test/graph_factory_test.cc	(revision 959)
@@ -17,6 +17,6 @@
 #include<iostream>
 #include<lemon/smart_graph.h>
-#include<lemon/skeletons/graph.h>
-#include<lemon/skeletons/maps.h>
+#include<lemon/concept/graph.h>
+#include<lemon/concept/maps.h>
 #include<lemon/list_graph_base.h>
 #include<lemon/full_graph.h>
@@ -69,20 +69,20 @@
 
 //Compile Graph
-template void lemon::skeleton::checkCompileStaticGraph<skeleton::StaticGraph>
-(skeleton::StaticGraph &);
+template void lemon::concept::checkCompileStaticGraph<concept::StaticGraph>
+(concept::StaticGraph &);
 
 template
-void lemon::skeleton::checkCompileExtendableGraph<skeleton::ExtendableGraph>
-(skeleton::ExtendableGraph &);
+void lemon::concept::checkCompileExtendableGraph<concept::ExtendableGraph>
+(concept::ExtendableGraph &);
 
 template
-void lemon::skeleton::checkCompileErasableGraph<skeleton::ErasableGraph>
-(skeleton::ErasableGraph &);
+void lemon::concept::checkCompileErasableGraph<concept::ErasableGraph>
+(concept::ErasableGraph &);
 
 //Compile SmartGraph
 template
-void lemon::skeleton::checkCompileExtendableGraph<SmartGraph>(SmartGraph &);
+void lemon::concept::checkCompileExtendableGraph<SmartGraph>(SmartGraph &);
 template
-void lemon::skeleton::checkCompileGraphFindEdge<SmartGraph>(SmartGraph &);
+void lemon::concept::checkCompileGraphFindEdge<SmartGraph>(SmartGraph &);
 
 //Compile SymSmartGraph
@@ -92,9 +92,9 @@
 //Compile ListGraph
 template
-void lemon::skeleton::checkCompileExtendableGraph<ListGraph>(ListGraph &);
+void lemon::concept::checkCompileExtendableGraph<ListGraph>(ListGraph &);
 template
-void lemon::skeleton::checkCompileErasableGraph<ListGraph>(ListGraph &);
+void lemon::concept::checkCompileErasableGraph<ListGraph>(ListGraph &);
 template
-void lemon::skeleton::checkCompileGraphFindEdge<ListGraph>(ListGraph &);
+void lemon::concept::checkCompileGraphFindEdge<ListGraph>(ListGraph &);
 
 
@@ -105,7 +105,7 @@
 
 //Compile FullGraph
-template void lemon::skeleton::checkCompileStaticGraph<FullGraph>(FullGraph &);
+template void lemon::concept::checkCompileStaticGraph<FullGraph>(FullGraph &);
 template
-void lemon::skeleton::checkCompileGraphFindEdge<FullGraph>(FullGraph &);
+void lemon::concept::checkCompileGraphFindEdge<FullGraph>(FullGraph &);
 
 
@@ -142,5 +142,5 @@
   // Some map tests.
   // FIXME: These shouldn't be here.
-  using namespace skeleton;
+  using namespace concept;
   function_requires< ReadMapConcept< ReadMap<int,int> > >();
   function_requires< WriteMapConcept< WriteMap<int,int> > >();
Index: src/test/graph_test.cc
===================================================================
--- src/test/graph_test.cc	(revision 946)
+++ src/test/graph_test.cc	(revision 959)
@@ -4,5 +4,5 @@
 #include <vector>
 
-#include <lemon/skeletons/graph.h>
+#include <lemon/concept/graph.h>
 #include <lemon/list_graph.h>
 #include <lemon/smart_graph.h>
@@ -15,5 +15,5 @@
 
 using namespace lemon;
-using namespace lemon::skeleton;
+using namespace lemon::concept;
 
 
Index: src/test/graph_wrapper_test.cc
===================================================================
--- src/test/graph_wrapper_test.cc	(revision 946)
+++ src/test/graph_wrapper_test.cc	(revision 959)
@@ -19,5 +19,5 @@
 
 #include<lemon/smart_graph.h>
-#include<lemon/skeletons/graph.h>
+#include<lemon/concept/graph.h>
 
 #include<lemon/list_graph.h>
@@ -36,5 +36,5 @@
 
 using namespace lemon;
-using namespace lemon::skeleton;
+using namespace lemon::concept;
 
 
Index: src/test/kruskal_test.cc
===================================================================
--- src/test/kruskal_test.cc	(revision 921)
+++ src/test/kruskal_test.cc	(revision 959)
@@ -22,6 +22,6 @@
 #include <lemon/kruskal.h>
 #include <lemon/list_graph.h>
-#include <lemon/skeletons/maps.h>
-#include <lemon/skeletons/graph.h>
+#include <lemon/concept/maps.h>
+#include <lemon/concept/graph.h>
 
 
@@ -31,8 +31,8 @@
 void checkCompileKruskal()
 {
-  skeleton::WriteMap<skeleton::StaticGraph::Edge,bool> w;
+  concept::WriteMap<concept::StaticGraph::Edge,bool> w;
 
-  kruskalEdgeMap(skeleton::StaticGraph(),
-		 skeleton::ReadMap<skeleton::StaticGraph::Edge,int>(),
+  kruskalEdgeMap(concept::StaticGraph(),
+		 concept::ReadMap<concept::StaticGraph::Edge,int>(),
 		 w);
 }
Index: src/test/new_graph_test.cc
===================================================================
--- src/test/new_graph_test.cc	(revision 946)
+++ src/test/new_graph_test.cc	(revision 959)
@@ -15,8 +15,8 @@
  */
 
-#include <lemon/skeletons/graph.h>
+#include <lemon/concept/graph.h>
 // #include <boost/concept_check.hpp>
 
-using namespace lemon::skeleton;
+using namespace lemon::concept;
 
 // Borrowed from boost:
Index: src/test/path_test.cc
===================================================================
--- src/test/path_test.cc	(revision 921)
+++ src/test/path_test.cc	(revision 959)
@@ -17,5 +17,5 @@
 #include <string>
 #include <iostream>
-#include <lemon/skeletons/path.h>
+#include <lemon/concept/path.h>
 #include <lemon/path.h>
 #include <lemon/list_graph.h>
@@ -23,5 +23,5 @@
 using namespace std;
 using namespace lemon;
-using namespace skeleton;
+using namespace lemon::concept;
 
 template<class Path> void checkCompilePath(Path &P) 
@@ -87,5 +87,5 @@
 }
 
-template void checkCompilePath< skeleton::Path<ListGraph> >(skeleton::Path<ListGraph> &);
+template void checkCompilePath< concept::Path<ListGraph> >(concept::Path<ListGraph> &);
 template void checkCompilePath< DirPath<ListGraph> >(DirPath<ListGraph> &);
 template void checkCompilePath< UndirPath<ListGraph> >(UndirPath<ListGraph> &);
Index: src/test/preflow_test.cc
===================================================================
--- src/test/preflow_test.cc	(revision 940)
+++ src/test/preflow_test.cc	(revision 959)
@@ -22,6 +22,6 @@
 #include <lemon/dimacs.h>
 #include <lemon/preflow.h>
-#include <lemon/skeletons/graph.h>
-#include <lemon/skeletons/maps.h>
+#include <lemon/concept/graph.h>
+#include <lemon/concept/maps.h>
 
 using namespace lemon;
@@ -30,11 +30,11 @@
 {
   typedef int VType;
-  typedef skeleton::StaticGraph Graph;
+  typedef concept::StaticGraph Graph;
 
   typedef Graph::Node Node;
   typedef Graph::Edge Edge;
-  typedef skeleton::ReadMap<Edge,VType> CapMap;
-  typedef skeleton::ReadWriteMap<Edge,VType> FlowMap;
-  typedef skeleton::ReadWriteMap<Node,bool> CutMap;
+  typedef concept::ReadMap<Edge,VType> CapMap;
+  typedef concept::ReadWriteMap<Edge,VType> FlowMap;
+  typedef concept::ReadWriteMap<Node,bool> CutMap;
  
   typedef Preflow<Graph, int, CapMap, FlowMap> PType;
Index: src/test/sym_graph_test.cc
===================================================================
--- src/test/sym_graph_test.cc	(revision 938)
+++ src/test/sym_graph_test.cc	(revision 959)
@@ -17,5 +17,5 @@
 #include<iostream>
 
-#include<lemon/skeletons/sym_graph.h>
+#include<lemon/concept/sym_graph.h>
 
 #include<lemon/list_graph.h>
@@ -55,12 +55,12 @@
 
 //Compile Graph
-template void lemon::checkCompileStaticSymGraph<skeleton::StaticSymGraph>
-(skeleton::StaticSymGraph &);
+template void lemon::checkCompileStaticSymGraph<concept::StaticSymGraph>
+(concept::StaticSymGraph &);
 
-template void lemon::checkCompileSymGraph<skeleton::ExtendableSymGraph>
-(skeleton::ExtendableSymGraph &);
+template void lemon::checkCompileSymGraph<concept::ExtendableSymGraph>
+(concept::ExtendableSymGraph &);
 
-template void lemon::checkCompileErasableSymGraph<skeleton::ErasableSymGraph>
-(skeleton::ErasableSymGraph &);
+template void lemon::checkCompileErasableSymGraph<concept::ErasableSymGraph>
+(concept::ErasableSymGraph &);
 
 
@@ -68,5 +68,5 @@
 template void lemon::checkCompileSymGraph<SymSmartGraph>(SymSmartGraph &);
 template
-void lemon::skeleton::checkCompileGraphFindEdge<SymSmartGraph>(SymSmartGraph &);
+void lemon::concept::checkCompileGraphFindEdge<SymSmartGraph>(SymSmartGraph &);
 
 //Compile SymListGraph
@@ -74,5 +74,5 @@
 template void lemon::checkCompileErasableSymGraph<SymListGraph>(SymListGraph &);
 template
-void lemon::skeleton::checkCompileGraphFindEdge<SymListGraph>(SymListGraph &);
+void lemon::concept::checkCompileGraphFindEdge<SymListGraph>(SymListGraph &);
 
 int main() 
Index: src/test/sym_graph_test.h
===================================================================
--- src/test/sym_graph_test.h	(revision 938)
+++ src/test/sym_graph_test.h	(revision 959)
@@ -28,5 +28,5 @@
   /// \e
 
-  /// \todo This should go to lemon/skeleton/symgraph.h
+  /// \todo This should go to lemon/concept/symgraph.h
   ///
   template<class Graph> void checkCompileStaticSymGraph(Graph &G) 
@@ -41,5 +41,5 @@
       typedef typename Graph::OutEdgeIt OutEdgeIt;
 
-      lemon::skeleton::checkCompileStaticGraph(G);
+      lemon::concept::checkCompileStaticGraph(G);
   
       {
@@ -158,5 +158,5 @@
     {
       checkCompileSymGraph(G);
-      lemon::skeleton::checkCompileGraphEraseNode(G);
+      lemon::concept::checkCompileGraphEraseNode(G);
       checkCompileSymGraphEraseSymEdge(G);
     }
Index: src/work/Doxyfile
===================================================================
--- src/work/Doxyfile	(revision 939)
+++ src/work/Doxyfile	(revision 959)
@@ -397,5 +397,5 @@
                          ../../doc/groups.dox \
                          ../lemon \
-                         ../lemon/skeletons \
+                         ../lemon/concept \
                          ../test/test_tools.h \
                          klao/path.h \
Index: src/work/alpar/dijkstra.h
===================================================================
--- src/work/alpar/dijkstra.h	(revision 955)
+++ src/work/alpar/dijkstra.h	(revision 959)
@@ -101,9 +101,9 @@
   ///This class provides an efficient implementation of %Dijkstra algorithm.
   ///The edge lengths are passed to the algorithm using a
-  ///\ref skeleton::ReadMap "ReadMap",
+  ///\ref concept::ReadMap "ReadMap",
   ///so it is easy to change it to any kind of length.
   ///
   ///The type of the length is determined by the
-  ///\ref skeleton::ReadMap::ValueType "ValueType" of the length map.
+  ///\ref concept::ReadMap::ValueType "ValueType" of the length map.
   ///
   ///It is also possible to change the underlying priority heap.
@@ -118,5 +118,5 @@
   ///may involve in relatively time consuming process to compute the edge
   ///length if it is necessary. The default map type is
-  ///\ref skeleton::StaticGraph::EdgeMap "Graph::EdgeMap<int>".
+  ///\ref concept::StaticGraph::EdgeMap "Graph::EdgeMap<int>".
   ///The value of LM is not used directly by Dijkstra, it
   ///is only passed to \ref DijkstraDefaultTraits.
Index: src/work/alpar/list_graph_demo.cc
===================================================================
--- src/work/alpar/list_graph_demo.cc	(revision 921)
+++ src/work/alpar/list_graph_demo.cc	(revision 959)
@@ -1,4 +1,4 @@
 #include<list_graph.h>
-#include<skeletons/graph.h>
+#include<concept/graph.h>
 
 #include <iostream>
Index: src/work/marci/bfs_mm_test.cc
===================================================================
--- src/work/marci/bfs_mm_test.cc	(revision 944)
+++ src/work/marci/bfs_mm_test.cc	(revision 959)
@@ -18,5 +18,5 @@
 #include <lemon/smart_graph.h>
 #include <bfs_mm.h>
-#include <lemon/skeletons/graph.h>
+#include <lemon/concept/graph.h>
 
 using namespace lemon;
@@ -27,5 +27,5 @@
 void check_Bfs_Compile() 
 {
-  typedef skeleton::StaticGraph Graph;
+  typedef concept::StaticGraph Graph;
 
   typedef Graph::Edge Edge;
Index: src/work/peter/path/path.h
===================================================================
--- src/work/peter/path/path.h	(revision 921)
+++ src/work/peter/path/path.h	(revision 959)
@@ -13,5 +13,5 @@
 algorithm to store its result in any kind of path structure.
 
-\sa lemon::skeleton::Path
+\sa lemon::concept::Path
 
 */
Index: src/work/peter/path/path_skeleton.h
===================================================================
--- src/work/peter/path/path_skeleton.h	(revision 921)
+++ src/work/peter/path/path_skeleton.h	(revision 959)
@@ -2,5 +2,5 @@
 // -*- c++ -*- //
 
-///\ingroup skeletons
+///\ingroup concept
 ///\file
 ///\brief Classes for representing paths in graphs.
@@ -12,10 +12,10 @@
 
 namespace lemon {
-  namespace skeleton {
-    /// \addtogroup skeletons
+  namespace concept {
+    /// \addtogroup concept
     /// @{
     
     
-    //! \brief A skeletom structure for representing directed paths in a graph.
+    //! \brief A skeleton structure for representing directed paths in a graph.
     //!
     //! A skeleton structure for representing directed paths in a graph.
@@ -86,5 +86,5 @@
        * \brief Iterator class to iterate on the edges of the paths
        * 
-       * \ingroup skeletons
+       * \ingroup concept
        * This class is used to iterate on the edges of the paths
        *
@@ -119,5 +119,5 @@
        * \brief Iterator class to iterate on the nodes of the paths
        * 
-       * \ingroup skeletons
+       * \ingroup concept
        * This class is used to iterate on the nodes of the paths
        *
@@ -154,5 +154,5 @@
        * \brief Class to build paths
        * 
-       * \ingroup skeletons
+       * \ingroup concept
        * This class is used to fill a path with edges.
        *
Index: src/work/peter/path/path_test.cc
===================================================================
--- src/work/peter/path/path_test.cc	(revision 921)
+++ src/work/peter/path/path_test.cc	(revision 959)
@@ -7,5 +7,5 @@
 using namespace std;
 using namespace lemon;
-using namespace skeleton;
+using namespace concept;
 
 bool passed = true;
